Difference between revisions of "SteamCMD on Debian"

From munkjensen.net/wiki
Jump to navigation Jump to search
Line 11: Line 11:
 
# [https://docs.linuxgsm.com/requirements/gamedig GameDig] requires [https://nodejs.org/ Node.js] a JavaScript runtime environment installed to work. Use [https://github.com/nodesource/distributions#debinstall these instructions] to install Node.js in the latest version.
 
# [https://docs.linuxgsm.com/requirements/gamedig GameDig] requires [https://nodejs.org/ Node.js] a JavaScript runtime environment installed to work. Use [https://github.com/nodesource/distributions#debinstall these instructions] to install Node.js in the latest version.
 
# Once Node.js is installed use npm to install gamedig as root with this command; ''npm install gamedig -g''
 
# Once Node.js is installed use npm to install gamedig as root with this command; ''npm install gamedig -g''
# Download LinuxGSM install script; ''<nowiki>wget -O linuxgsm.sh https://linuxgsm.sh && chmod +x linuxgsm.sh && bash linuxgsm.sh vhserver</nowiki>''
+
# Download LinuxGSM install script and configure it for Valheim server; ''<nowiki>wget -O linuxgsm.sh https://linuxgsm.sh && chmod +x linuxgsm.sh && bash linuxgsm.sh vhserver</nowiki>''
 
# Run the installer and follow the on-screen instructions; ''./vhserver install''
 
# Run the installer and follow the on-screen instructions; ''./vhserver install''
  

Revision as of 23:38, 22 February 2021

I wanted to install Valheim on my Mac Minibian but ran into problems.

This page is my notes on what I did to (hopefully) get it up and running.

Rescources

My installation steps

  1. GameDig requires Node.js a JavaScript runtime environment installed to work. Use these instructions to install Node.js in the latest version.
  2. Once Node.js is installed use npm to install gamedig as root with this command; npm install gamedig -g
  3. Download LinuxGSM install script and configure it for Valheim server; wget -O linuxgsm.sh https://linuxgsm.sh && chmod +x linuxgsm.sh && bash linuxgsm.sh vhserver
  4. Run the installer and follow the on-screen instructions; ./vhserver install

Problems

apt search lib32gcc1
Sorting... Done
Full Text Search... Done
lib32gcc1-amd64-cross/stable 1:8.3.0-2cross1 all
  GCC support library (32 bit Version)
### CUT ###
lib32gcc1-x32-cross/stable 1:8.3.0-2cross2 all
  GCC support library (32 bit Version)

and

apt search lib32stdc++
Sorting... Done
Full Text Search... Done
lib32stdc++-8-dev-amd64-cross/stable 8.3.0-2cross1 all
  GNU Standard C++ Library v3 (development files) (amd64)
### CUT ###
lib32stdc++6-amd64-cross/stable 8.3.0-2cross1 all
  GNU Standard C++ Library v3 (32 bit Version)

reveals that there is no package with the excact name lib32gcc1 nor lib32stdc++6

I installed lib32gcc1-amd64-cross and lib32stdc++6-amd64-cross and tried to continue with the Valheim install. It is stated that running

sudo ./vhserver install

should install missing dependencies - but it does not know the new package names so i cried for help in the linuxGSM support discord channel and made a new issue at github.